Results 1 to 3 of 3

Thread: Teamviewer

  1. #1
    Junior Member
    Join Date
    Dec 2016
    Posts
    17

    Teamviewer

    Hi guys,

    I have Kali Linux installed on Raspberry Pi 3. Is there a way to install Teamviewer on it? There is a Raspbian version od Teamviewer, but i can't install it:
    Code:
    root@kali:~/Desktop# dpkg -i *.deb
    (Reading database ... 112730 files and directories currently installed.)
    Preparing to unpack teamviewer-host_11.0.63329_armhf.deb ...
    Unpacking teamviewer-host (11.0.63329) over (11.0.63329) ...
    dpkg: dependency problems prevent configuration of teamviewer-host:
     teamviewer-host depends on libqt5webkit5 (>= 5.1.1); however:
      Package libqt5webkit5 is not installed.
     teamviewer-host depends on libqt5x11extras5 (>= 5.2.1); however:
      Package libqt5x11extras5 is not installed.
     teamviewer-host depends on qtdeclarative5-qtquick2-plugin (>= 5.2.1) | qml-module-qtquick2 (>= 5.2.1); however:
      Package qtdeclarative5-qtquick2-plugin is not installed.
      Package qml-module-qtquick2 is not installed.
     teamviewer-host depends on qtdeclarative5-controls-plugin (>= 5.2.1) | qml-module-qtquick-controls (>= 5.2.1); however:
      Package qtdeclarative5-controls-plugin is not installed.
      Package qml-module-qtquick-controls is not installed.
     teamviewer-host depends on qtdeclarative5-dialogs-plugin (>= 5.2.1) | qml-module-qtquick-dialogs (>= 5.2.1); however:
      Package qtdeclarative5-dialogs-plugin is not installed.
      Package qml-module-qtquick-dialogs is not installed.
     teamviewer-host depends on qtdeclarative5-window-plugin (>= 5.2.1) | qml-module-qtquick-window2 (>= 5.2.1); however:
      Package qtdeclarative5-window-plugin is not installed.
      Package qml-module-qtquick-window2 is not installed.
     teamviewer-host depends on qtdeclarative5-quicklayouts-plugin (>= 5.2.1) | qml-module-qtquick-layouts (>= 5.2.1); however:
      Package qtdeclarative5-quicklayouts-plugin is not installed.
      Package qml-module-qtquick-layouts is not installed.
    
    dpkg: error processing package teamviewer-host (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     teamviewer-host
    root@kali:~/Desktop#
    Help me please.

    EDIT
    Ok, I did it.
    1. Download Teamviever for Raspbian 8.0 LINK and put the file on Desktop
    2.
    Code:
    root@kali:~/Desktop# dpkg -i *.deb
    3. Then you will see errors that I mentioned above.
    4.
    Code:
    root@kali:~/Desktop# apt-get -f install
    5. Then again
    Code:
    root@kali:~/Desktop# dpkg -i *.deb
    6. AND IT WORKS!
    Last edited by martinii; 2016-12-15 at 02:59 PM. Reason: SOLVED

  2. #2
    Junior Member
    Join Date
    Jan 2015
    Posts
    27
    yes, made it work for me too.

    Noticed that its kinda buggy - keeps crashing sometimes / no connection issues/. I've tried to restart the app itself, needs to reboot the whole board to make it work again.

    Hope more development on the go by TeamViewer.

  3. #3
    Junior Member
    Join Date
    Dec 2016
    Posts
    17
    You can restart in SSH. Type in terminal teamwiever help

    TeamViewer 11.0.63329 (DEB)

    teamviewer Start TeamViewer user interface (if not running).

    teamviewer help Print this help screen.
    teamviewer version Print version information.
    teamviewer info Print version, status, id.
    teamviewer ziplog Create a zip containing all teamviewer logs (useful when contacting support).

    teamviewer license [show|accept] Interactively agree or show/agree to End User License Agreement.
    teamviewer setup Configure headless modes (non-gui/console)

    teamviewer passwd [PASSWD] Set a password (useful when installing remote (ssh).

    teamviewer daemon status Show current status of the TeamViewer daemon.
    teamviewer daemon start Start TeamViewer daemon.
    teamviewer daemon stop Stop TeamViewer daemon.
    teamviewer daemon restart Stop/Start TeamViewer daemon.
    teamviewer daemon disable Disable TeamViewer daemon - don't start daemon on system startup.
    teamviewer daemon enable Enable TeamViewer daemon - start daemon on system startup (default).

    teamviewer repo show current repository configuration
    teamviewer repo default restore default configuration
    teamviewer repo disable disable repository updates
    teamviewer repo main [stable] make all TeamViewer packages available (default)
    teamviewer repo tv11 [stable] make TeamViewer 11 packages available
    stable omit preview and beta releases
    I have another problem. I get some errors when I want to apt-get update:
    W: Error GPG: http://downloadeu5.teamviewer.com/linuxrepo/rev13/deb stable Release: Following signatures were invalid: 3C0B2B70069CE81E7522A5B4EF423EF772DB573C
    W: The repository 'http://linux.teamviewer.com/deb stable Release' is not signed.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    W: Error GPG: http://downloadeu6.teamviewer.com/linuxrepo/rev13/deb preview Release: Following signatures were invalid: 3C0B2B70069CE81E7522A5B4EF423EF772DB573C
    W: The repository 'http://linux.teamviewer.com/deb preview Release' is not signed.
    N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    Last edited by martinii; 2017-02-07 at 09:27 AM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •